<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
include("phpmnu_fun.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrAlm=V($_POST['CboAlm']);			
$StrCom=V($_POST['CboCom']);		
$StrSer=V($_POST['TxtSer']);		
$StrNum=V($_POST['TxtNum']);		
$StrDex=V($_POST['TxtDex']);		
$StrHax=V($_POST['TxtHax']);
if(strlen($StrDex)==0)$StrDex=date("d-m-y");			
if(strlen($StrHax)==0)$StrHax=date("d-m-y");			
$StrPro=V($_POST['TxtPro']);
$StrVend=V($_POST['TxtVend']);
$Tdp=V($_POST['Tdp']);
$Tdp_=trim(vbmid(LIKE($Tdp),1,2));
$StrSN=V($_POST['CboSN']);	
$StrOpe=V($_POST['TxtOpe']);
//++
$IdUsu=vbval(V($_SESSION['SYS_USER_ID']));
//
if($_SESSION['SYS_USER_ALM']=="%"){
if(strlen($StrAlm)==0)$StrAlm=T($StrAlm);//$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
}else{
$StrAlm=$_SESSION['SYS_USER_ALM'];
}	

$StrAlm=T($StrAlm);
		
if(strlen($StrCom)==0) $StrCom="TODOS";	
//-------------------------
if($StrCom=="TODOS"){
$StrCom_="%";
}else{
$StrCom_=$StrCom;
}
$StrNum_=$StrNum."%";
$StrSer_=$StrSer."%";
if(strlen($StrDex)==0){
$StrDex_="2000-01-01";
}else{
$StrDex_=ToDate($StrDex);
}
if(strlen($StrHax)==0){
$StrHax_="2020-12-01";
}else{
$StrHax_=ToDate($StrHax);
}
if(strlen($StrSN)==0 || $StrSN=="TODOS"){
$StrSN_="%";
}else{
$StrSN_=substr($StrSN,0,1);
}
$StrPro_=$StrPro."%";
$StrVend_=$StrVend."%";
$StrOpe_=$StrOpe."%";
//-------------------------
$FF="ID>0 AND ALM LIKE '$StrAlm' AND COM LIKE '$StrCom_' AND
NUM LIKE '$StrNum_' AND SER LIKE '$StrSer_' AND 
FEC >= '$StrDex_' AND FEC <= '$StrHax_' AND 
CLI LIKE '$StrPro_' AND ANU LIKE '$StrSN_' AND 
VEND LIKE '$StrVend_' AND OPE LIKE '$StrOpe_' AND TDP LIKE '$Tdp_' ";
if($IdUsu>0){
	$FF=$FF." AND IDU=".$IdUsu;
}
//++
$LStrTR=gn("count(*)","vventas",$FF);
$LStrPag=V($_POST['TxtPag']);
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=19;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ventas - Buscar</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.tableFixHead          { overflow-y: auto; }
.tableFixHead thead th { position: sticky; top: 0; }

table  {border-collapse:collapse;width:100%;}
th, td {padding: 3px 3px;}
th     {background:#666;}

.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){
	var CboAlm=document.getElementById("CboAlm").value;
	if(CboAlm=="TODOS"){
		alert("Seleccione un Almacen");
		document.getElementById("CboAlm").focus();
		return;
	}
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}

$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
//$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo GEN_MENU(vbval(V($_SESSION['SYS_USER_ID'])));
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="ventas_buscar.php" 
autocomplete="off"
style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">VENTAS - BUSCAR</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 147px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"S","N");
    }
?>
</select>

<div class="s1" style="left: 190px; top: 121px; width: 102px;">
COMPROBANTE</div>
<select name="CboCom" id="CboCom"
class="lt" style="left: 190px; top: 138px; width: 122px;"
tabindex="<?php echo ++$TI;?>">
<?php 
	echo FCBO("com_nombre",
			  "comprobantes",
			  "id_comprobante>0 AND com_nombre IN('NOTA DE VENTA')",$StrCom,"S","N");?>
</select>

<div class="s1" style="left: 321px; top: 121px; width: 46px;">
SERIE</div>
<input name="TxtSer" type="text" id="TxtSer" 
class="lt" style="left: 321px; top: 138px; width: 58px;"
value="<?php echo $StrSer;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 388px; top: 121px; width: 63px;">
NUMERO</div>
<input name="TxtNum" type="text" id="TxtNum" 
class="lt" style="left: 388px; top: 138px; width:90px;"
value="<?php echo $StrNum;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 487px; top: 105px; width: 45px;">
DESDE</div>
<div class="s1" style="left: 487px; top: 121px; width: 69px;">
dd-mm-yy</div>
<input name="TxtDex" type="text" id="TxtDex" 
class="fe" style="left: 486px; top: 138px; width:90px;"
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 586px; top: 105px; width: 60px;">
HASTA</div>
<div class="s1" style="left: 585px; top: 121px; width: 69px;">
dd-mm-yy</div>
<input name="TxtHax" type="text" id="TxtHax" 
class="fe" style="left: 584px; top: 138px; width: 90px;" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>


<div class="s1" style="left: 686px; top: 121px; width: 75px;">
CLIENTE</div>
<input name="TxtPro" type="text" id="TxtPro" 
class="lt" style="left: 685px; top: 138px; width: 108px;"
value="<?php echo $StrPro;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 804px; top: 121px; width: 94px;">
VENDEDOR</div>
<input name="TxtVend" type="text" id="TxtVend" 
class="lt" style="left: 803px; top: 138px; width: 107px;"
value="<?php echo $StrVend;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 920px; top: 121px; width: 90px;">
TIPO DE PAGO</div>
<select name="Tdp" id="Tdp" 
class="lt" style="left: 920px; top: 138px; width: 101px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("tipp_nombre","tipos_pagos","",$Tdp,"S","N");?>
</select>

<div class="s1" style="left: 1030px; top: 121px; width: 112px;">
No OPERACION</div>
<input name="TxtOpe" type="text" id="TxtOpe" 
class="lt" style="left: 1029px; top: 138px; width: 104px;"
value="<?php echo $StrOpe;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1144px; top: 121px; width: 71px;">
ANULADO</div>
<select name="CboSN" id="CboSN" 
class="lt" style="left: 1142px; top: 138px; width: 69px;"
onkeydown="return SoloTextoEx(event,'CmdB');" 
tabindex="<?php echo ++$TI;?>">
<?php
echo FCBO("aux_nom","auxiliar","aux_des='SN'",$StrSN,"S","N");
?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" id="CmdZ" class="btm"
value="Volver" onClick="fBuscar('ventas.php?TxtAc=X');"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();" style="display:none"
tabindex="<?php echo ++$TI;?>" />
</div>

<div  style="position:absolute; top:165px; left:35px; height:27px; background-color:#FFF; width: 1180px;">
<table width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px" border="0">
<tr>
<td align="center">
	<?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?>
</td>
</tr>
</table>
</div> 
    
<!----------------------------------------->
<div class="tableFixHead" style="position: absolute; left: 35px; top: 194px; width: 1180px; height: 380px; overflow:auto; border:solid 1px #363636">
<table id="Exportar_a_Excel" width="100%" style="font-family:Arial, Helvetica, sans-serif; font-size:11px">
<thead>
<tr>
<th width="74" style="text-align:left; background:#999">ALMACEN</th>
<th width="97" style="text-align:left; background:#999"">COMPROB</th>
<th width="90"  style="text-align:left; background:#999"">NUMERO</th>
<th width="67"  style="text-align:left; background:#999"">FECHA</th>
<th width="241"  style="text-align:left; background:#999"">CLIENTE</th>
<th width="146" style="text-align:left; background:#999"">VENDEDOR</th>
<th width="50" style="text-align:left; background:#999"">T.PAGO</th>
<th width="138" style="text-align:left; background:#999"">Nro OPERACION</th>
<th width="12" style="text-align:left; background:#999"">A</th>
<th width="65" style="text-align:right; background:#999"">TOTAL</th>
<th width="68" style="text-align:right; background:#999"">C.ENVIO</th>
<th width="78" style="text-align:right; background:#999"">T.FINAL</th>
</tr>
</thead>
<tbody>
<?php		  		
$i=0;
$ST=0;
$CE=0;
$TF=0;
$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM) as SER_NUM,
DATE_FORMAT(FEC,'%d-%m-%y') as FEX,CLI,
VEND,ANU,TOT,OPE,TDP,COS_ENV ,IMP_TOT
FROM vventas WHERE ".$FF." ORDER BY ALM,COM,SER,NUM,FEC,CLI ";

$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
$result = grs($s);				
while ($row =$result->fetch_assoc()){
	$i++;
	$CSS="";
	if($i%2==0){
		$CSS=" style=\"background-color:#E2E2E2\" ";
	}
	?>	
	<tr onDblClick="location.href='ventas.php?Id=<?php echo $row['ID'];?>&Pag=0'" <?php echo $CSS;?>>
	<!----------------------------------------------->
	<td><?php echo vbl($row['ALM'],16);?></td>  
	<td><?php echo $row['COM'];?></td> 
	<td><a target="_blank" href="ventas.php?Id=<?php echo $row['ID'];?>">'<?php echo $row['SER_NUM'];?></a></td>
	<td><?php echo $row['FEX'];?></td>
	<td><?php echo vbl($row['CLI'],30);?></td> 
	<td><?php echo vbl($row['VEND'],41);?></td>
    <td><?php echo $row['TDP'];?></td>
    <td><?php echo $row['OPE'];?></td>
    <td><?php echo $row['ANU'];?></td>
	<td style="text-align:right"><?php echo NF2($row['TOT'],1);?></td>
    <td style="text-align:right"><?php echo NF2($row['COS_ENV'],1);?></td>
    <td style="text-align:right"><?php echo NF2($row['IMP_TOT'],1);?></td> 
	<!----------------------------------------------->
	</tr>
	<?php
	$CE=$CE+$row['COS_ENV'];
	$TF=$TF+$row['IMP_TOT'];
	$ST=$ST+$row['TOT'];
	
}

?>		  
</tbody>
</table>
</div>
<div class="s1" style="left: 787px; top:577px; width: 61px;">
<b>TOTAL :</b></div>
<div class="s1" style="left: 838px; top:577px; width: 72px; text-align:right">
<b><?php echo  NF2($ST,1);?></b></div>

<div class="s1" style="left: 921px; top:577px; width: 60px;">
<b>T.ENVIO :</b></div>
<div class="s1" style="left: 986px; top:577px; width: 79px; text-align:right">
<b><?php echo  NF2($CE,1);?></b></div>

<div class="s1" style="left: 1071px; top:577px; width: 60px;">
<b>T.FINAL :</b></div>
<div class="s1" style="left: 1131px; top:577px; width: 79px; text-align:right">
<b><?php echo  NF2($TF,1);?></b></div>
<!----------------------------------------->
<?php include("ocultos.php");?>

<div class="s1" style="left: 33px; top: 579px; width: 426px;">
Doble Click sobre el registro para activar Actualizacion</div>
</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 313px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>


<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrVend,$StrSN);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCom,$StrSer,$StrNum,$StrDex,$StrHax,$StrPro,$StrVend,$StrSN){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"VENTAS",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCom)>0){
$_ENC=vbl("COMPROBANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCom.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSer)>0){
$_ENC=vbl("SERIE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSer.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrNum)>0){
$_ENC=vbl("NUMERO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrNum.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDex)>0){
$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrHax)>0){
$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrPro)>0){
$_ENC=vbl("CLIENTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrPro.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrVend)>0){
$_ENC=vbl("VENDEDOR".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrVend.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrSN)>0){
$_ENC=vbl("ANULADO S/N".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrSN.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
$P=0;
$P++; $T[$P]=11;	$_ENC=vbl("ALMACEN".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbl("COMPROB".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=10;	$_ENC=$_ENC." ".vbl("NUMERO".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbl("FECHA".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=19;	$_ENC=$_ENC." ".vbl("CLIENTE".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=18;	$_ENC=$_ENC." ".vbl("VENDEDOR".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=1;		$_ENC=$_ENC." ".vbl("A".vbfill(" ",$T[$P]),$T[$P]);
$P++; $T[$P]=8;		$_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P])."TOTAL",$T[$P]);
$pdf->Cell(0,4,$_ENC,0,1);	
//
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,ALM,COM,CONCAT(SER,'-',NUM),DATE_FORMAT(FEC,'%d-%m-%y'),CLI,
VEND,ANU,TOT
FROM vventas WHERE ".$FF." ORDER BY ALM,COM,SER,NUM,FEC,CLI ";

$result = grs($s);
while ($row = $result->fetch_row()){
	$P=0;
	$P++; $_ENC=vbl($row[1].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[2].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[3].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[4].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[5].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[6].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbl($row[7].vbfill(" ",$T[$P]),$T[$P]);
	$P++; $_ENC=$_ENC." ".vbr(vbfill(" ",$T[$P]).NF2($row[8],1),$T[$P]);
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$row[8];
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Ventas.pdf";
$pdf->Output($PDF_NAME);
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px;; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
